org.apache.ant.compress.util

## Interface FileAwareArchiveStreamFactory

- All Superinterfaces:
    ArchiveStreamFactory
  All Known Implementing Classes:
    SevenZStreamFactory, ZipStreamFactory

      public interface FileAwareArchiveStreamFactory
      extends ArchiveStreamFactory

  Creates streams for the supported archive formats that may take advantage of writing to/reading from a file.
  Since:
    Apache Compress Antlib 1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.compress.archivers.ArchiveInputStream` | `getArchiveInputStream(java.io.File file, java.lang.String encoding)`
    `org.apache.commons.compress.archivers.ArchiveOutputStream` | `getArchiveOutputStream(java.io.File file, java.lang.String encoding)`

    - ### Methods inherited from interface org.apache.ant.compress.util.ArchiveStreamFactory

      `getArchiveStream, getArchiveStream`

- - ### Method Detail

    - #### getArchiveInputStream

          org.apache.commons.compress.archivers.ArchiveInputStream getArchiveInputStream(java.io.File file,
                                                                                         java.lang.String encoding)
                                                                                  throws java.io.IOException

      Parameters:
        `file` - the file to read from
        `encoding` - the encoding of the entry names, ignored by all formats except zip
      Throws:
        `java.io.IOException`

    - #### getArchiveOutputStream

          org.apache.commons.compress.archivers.ArchiveOutputStream getArchiveOutputStream(java.io.File file,
                                                                                           java.lang.String encoding)
                                                                                    throws java.io.IOException

      Parameters:
        `file` - the file to write to
        `encoding` - the encoding of the entry names, ignored by all formats except zip
      Throws:
        `java.io.IOException`